define([
    'jquery',
    'jquery/ui',
    'jquery/validate',
    'mage/translate'
], function ($) {
    'use strict';
    return function (target) {
        $.validator.addMethod(
            'category_validation',
            function (value) {
                var regex4 = /^[a-zA-Z\s]+$/;
                var regLen = /^.{0,20}$/;
                var i = 0;
                if (value.trim().length != 0) {
                    var tok = value.split(",");
                    var token;
                    while ((tok.length) > i) {
                        token = tok[i].trim();
                        if (!regLen.test(token) || !regex4.test(token)) {
                            return false;
                        }
                        i++;
                    }

                }
            },
            $.mage.__('Please enter valid category')
        );
        // $.validator.addMethod(
        //     'logo_validation',
        //     function (value) {
        //         var regex2 = /^(ftp:|http:|https:|data:image)/;
        //         if (value.trim().length != 0)
        //         if (!regex2.test(value)) {
        //             return false;
        //         }

        //     },
        //     $.mage.__('Please enter valid logo')
        // );
        return target;
    };
});
